Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 371025 - net-analyzer/nsat with sys-libs/glibc-2.14 - In file included from ./client.c:72:0: ./includes.h:219:27: fatal error: rpcsvc/ypclnt.h: No such file or directory
Summary: net-analyzer/nsat with sys-libs/glibc-2.14 - In file included from ./client.c...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2011-06-10 12:34 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2018-04-22 13:58 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (nsat-1.5:20110610-121145.log,8.66 KB, text/plain)
2011-06-10 12:34 UTC, Diego Elio Pettenò (RETIRED)
Details
emerge-info.txt (emerge-info.txt,16.09 KB, text/plain)
2018-01-28 09:27 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,185.35 KB, text/plain)
2018-01-28 09:27 UTC, Toralf Förster
Details
environment (environment,56.93 KB, text/plain)
2018-01-28 09:27 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.45 KB, application/x-bzip)
2018-01-28 09:27 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,8.68 KB, application/x-bzip)
2018-01-28 09:27 UTC, Toralf Förster
Details
net-analyzer:nsat-1.5-r4:20180128-092144.log (net-analyzer:nsat-1.5-r4:20180128-092144.log,10.07 KB, text/plain)
2018-01-28 09:27 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,18.17 KB, application/x-bzip)
2018-01-28 09:27 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2011-06-10 12:34:54 UTC
Created attachment 276501 [details]
Build log

Portage 2.1.10 (default/linux/x86/10.0, gcc-4.6.0-asneeded, glibc-2.14-r0, 2.6.39 i686)
=================================================================
System uname: Linux-2.6.39-i686-Quad-Core_AMD_Opteron-tm-_Processor_2350-with-gentoo-2.0.2
Timestamp of tree: Mon, 06 Jun 2011 20:30:01 +0000
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.1-r1, 3.2
dev-util/cmake:           2.8.4-r1
sys-apps/baselayout:      2.0.2
sys-apps/openrc:          0.8.2-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21
sys-devel/gcc:            4.6.0
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.14
Repositories: gentoo
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib/tomoyo/conf /usr/share/bufrtables /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /usr/share/qpsmtpd/plugins /var/lib/hsqldb /var/phxd /var/qmail/alias /var/qmail/control /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/cache/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms split-log strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.wheel.sk/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j14"
PKGDIR="/var/spool/portage/packages"
PORTAGE_COMPRESS=""
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/cache/portage/tree"
PORTDIR_OVERLAY=""
SYNC="rsync://yamato.home.flameeyes.eu/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm gpm iconv ipv6 java5 java6 modules mudflap mysql ncurses nls nostatic nptl nptlonly openmp pam pcre pcsc-lite perl postgres pppd python qt3support readline ruby semantic-desktop session ssl sysfs tcpd unicode vhosts x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias auth_digest cgi" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18 jruby ruby19 ree18" USERLAND="GNU" VIDEO_CARDS="intel radeon nouveau vmware" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Sergey Popov gentoo-dev Security 2012-09-26 07:09:18 UTC
Builded successfully with glibc-2.15, perhaps because of 'librpcsvc.a' that installed by it.
Comment 2 Sergey Popov gentoo-dev Security 2012-09-26 07:09:44 UTC
(In reply to comment #1)
> Builded successfully with glibc-2.15, perhaps because of 'librpcsvc.a' that
> installed by it.

Forgot to say, libtirpc is NOT installed in this case
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-09-26 22:25:13 UTC
RPC was restored later on in 2.14, but that's going to change, so the bug is still valid.
Comment 4 Sergey Popov gentoo-dev Security 2012-09-27 07:29:28 UTC
(In reply to comment #3)
> RPC was restored later on in 2.14, but that's going to change, so the bug is
> still valid.

Ok, understood. Is adding net-libs/libtirpc to dependencies is sufficient in this case?
Comment 5 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-09-27 14:15:28 UTC
If it will use it, sort of.

You should still see if you can make it optional with USE=rpc (see lsof).
Comment 6 Andreas K. Hüttel gentoo-dev 2017-09-16 18:51:04 UTC
rpc.cpp:32:21: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>
                     ^
compilation terminated.
make[2]: *** [Makefile:38: rpc.o] Error 1

Problem of a similar class, sys-libs/glibc-2.26 + net-analyzer/nsat-1.5-r3
Comment 7 Larry the Git Cow gentoo-dev 2017-09-17 06:08:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92f5db5df2fdce31b6ed8fc49a7cfe4139259d85

commit 92f5db5df2fdce31b6ed8fc49a7cfe4139259d85
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2017-09-16 19:27:42 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2017-09-17 06:08:15 +0000

    net-analyzer/nsat: Add build fix and missing dependencies for sys-libs/glibc-2.26
    
    Testing done: Built against glibc-2.25[rpc] and glibc-2.26.
    
    Closes: https://bugs.gentoo.org/371025
    
    Package-Manager: Portage-2.3.8, Repoman-2.3.3

 net-analyzer/nsat/files/nsat-1.5-libtirpc.patch | 36 +++++++++++++++++++++++++
 net-analyzer/nsat/nsat-1.5-r3.ebuild            | 10 ++++++-
 2 files changed, 45 insertions(+), 1 deletion(-)
Comment 8 Toralf Förster gentoo-dev 2018-01-28 09:27:25 UTC
got at the unstable amd64 chroot image 17.0-desktop-gnome_libressl_20180123-193402 this : ./includes.h:219:10: fatal error: rpcsvc/ypclnt.h: No such file or directory
Comment 9 Toralf Förster gentoo-dev 2018-01-28 09:27:28 UTC
Created attachment 516960 [details]
emerge-info.txt
Comment 10 Toralf Förster gentoo-dev 2018-01-28 09:27:31 UTC
Created attachment 516962 [details]
emerge-history.txt
Comment 11 Toralf Förster gentoo-dev 2018-01-28 09:27:34 UTC
Created attachment 516964 [details]
environment
Comment 12 Toralf Förster gentoo-dev 2018-01-28 09:27:37 UTC
Created attachment 516966 [details]
etc.portage.tbz2
Comment 13 Toralf Förster gentoo-dev 2018-01-28 09:27:40 UTC
Created attachment 516968 [details]
logs.tbz2
Comment 14 Toralf Förster gentoo-dev 2018-01-28 09:27:43 UTC
Created attachment 516970 [details]
net-analyzer:nsat-1.5-r4:20180128-092144.log
Comment 15 Toralf Förster gentoo-dev 2018-01-28 09:27:46 UTC
Created attachment 516972 [details]
temp.tbz2
Comment 16 Andreas K. Hüttel gentoo-dev 2018-03-02 22:17:54 UTC
(In reply to Toralf Förster from comment #10)
> Created attachment 516962 [details]
> emerge-history.txt

This smells a bit like a portage bug or misbehaviour.

Wed Jan 24 01:11:03 2018 <<< sys-libs/glibc-2.25-r9
Wed Jan 24 01:11:09 2018 >>> sys-libs/glibc-2.26-r5

^ the glibc upgrade... 

nsat-1.5-r4 requires net-libs/libnsl unconditionally; this means that the fake version libnsl-0 was installed in the beginning.

libnsl-0 DEPENDS and RDEPENDS on <glibc-2.26. So this should've been updated as well (restoring the header that was missing). As for why that didnt happen in time... ?

[fwiw libnsl-1* needs to be stabilized together with glibc-2.26*]
Comment 17 Larry the Git Cow gentoo-dev 2018-03-02 22:22:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e087566f12985f32416c815e864d7bff867059d

commit 3e087566f12985f32416c815e864d7bff867059d
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2018-03-02 22:22:00 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2018-03-02 22:22:30 +0000

    net-analyzer/nsat: Remove libtirpc automagic and depend on it instead
    
    Bug: https://bugs.gentoo.org/371025
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-analyzer/nsat/nsat-1.5-r5.ebuild | 75 ++++++++++++++++++++++++++++++++++++
 1 file changed, 75 insertions(+)}
Comment 18 Larry the Git Cow gentoo-dev 2018-04-22 13:58:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64990164e074c0accad2dcca6942ed62cc4dbbb2

commit 64990164e074c0accad2dcca6942ed62cc4dbbb2
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2018-04-22 13:57:26 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2018-04-22 13:57:26 +0000

    net-analyzer/nsat: Remove old
    
    Closes: https://bugs.gentoo.org/371025
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 net-analyzer/nsat/nsat-1.5-r3.ebuild | 69 -------------------------------
 net-analyzer/nsat/nsat-1.5-r4.ebuild | 79 ------------------------------------
 2 files changed, 148 deletions(-)